@font-face {
    font-family: 'Montserrat';
    src: url('../img/Montserrat/static/Montserrat-Regular.ttf') format('truetype');
    font-display: swap; 
}
@font-face {
    font-family: 'MontserratBold';
    src: url('../img/Montserrat/static/Montserrat-Bold.ttf') format('truetype'); 
    font-display: swap;
}
*{
    margin: 0;
    padding: 0;
}
html {
    scroll-behavior: smooth;
}
.portada{
    height: 95vh;
}
.messageContainer{
    font-family: 'Montserrat'; 
    font-size: 37px;  
    margin-bottom: 20px; 
    text-align: center;
    white-space: pre-line;
    margin-top: -20vh;
    margin-left: 1vw;
    position: relative;
}
.marcasComerciales{
    height: 100vh;
}
.equipo{
    height: 100vh;
}
.proyectos{
    height: 100vh;
}
.separadormovil {
    display: none; 
}
.separadorpc{
    max-width: 100%;
    height: auto;
}
.ContainerImg{
    overflow: hidden;
    height: 90vh;
    overflow: hidden;
}
.containerCornerTopImage{
    overflow: hidden;
    display: flex;
    justify-content: center;
}
.containerCornerBottomImage{
    display: flex;
    justify-content: center;
    align-items: end;
    height: 100%;
}
.CornerTopImage{
    box-shadow: -77px 90px 94px -29px rgba(0,0,0,0.5);
    -webkit-box-shadow: -77px 90px 94px -29px rgba(0,0,0,0.5);
    -moz-box-shadow: -77px 90px 94px -29px rgba(0,0,0,0.5);
    position: relative;
    top: -220px;
    transform: rotate(-45deg);
    border-radius: 20%;
    background-color: rgb(255, 255, 255);
    height: 300px;
    width: 300px; 
}
.CornerBottomImage{
    position: relative;
    bottom: 8vh;
    transform: rotate(-45deg);
    border-radius: 20%;
    background-color: rgb(255, 255, 255);
    height: 400px;
    width: 400px; 
}
.imgFondo{
    z-index: -1;
    position: absolute;
    width: 98.7vw;
    height: 89vh;
}
.imgFondoMovil{
    display: none;
}
.marcasComerciales {
    padding-top: 8vh;
    display: flex;
    flex-direction: column;
}
.container {
    flex: 1;
    display: flex;
    flex-wrap: wrap;
}
.column {
    flex: 1;
    padding: 20px;
}
.gridContainer {
    display: grid;
    grid-template-columns: 10% auto;
    padding: 10px;
    margin-top: 28vh;
}
.gridItem {
    padding: 20px;
    font-size: 30px;
    text-align: center;
}
.gridItem img {
    width: 6vw;
    height: 19vh;
    margin-top: -3vh;
}
.titulo1 {
    font-family: 'MontserratBold'; 
    font-size: 43px;  
    margin-bottom: 20px; 
    text-align: left;
}
.marcasTitulo{
    padding-left: 1.5vw;
}
.proyectosTitulo{
    padding-left: 1.5vw;
}
.titulo1 span {
    font-weight: bold;
}
.tituloequipo {
    font-family: 'MontserratBold'; 
    font-size: 43px; 
    margin-bottom: 20px; 
    text-align: left;
}
.equipoTitulo{
    padding-left: 1.5vw;
}
.tituloequipo span {
    font-weight: bold;
}
.textoBase {
    font-family: 'Montserrat';
    font-size: 18px; 
    text-align: left;
    margin-left: 2vw;
}
.iframeComerciales {
    width: 100%; 
    height: 100%;
    border: none; 
}
.iframeComercialesMovil
{
    display: none;
}
.boton-descarga {
    display: inline-block;
    padding: 10px 44px;
    background-color: black;
    color: white;
    border: none;
    border-radius: 10px;
    text-align: center;
    text-decoration: none;
    font-size: 13px;
    font-family: 'Montserrat';
    cursor: pointer;
    transition: background-color 0.3s;
    margin-top: 3vh;
    margin-left: 0; 
    width: fit-content; 
}

.boton-descarga:hover {
    background-color: #ffffff; 
    color: black;
    border: 2px solid black;
}
.btnMarcas{
    text-align: left;
    padding-left: 1.5vw;
}
.btnProyectos{
    text-align: left;
    margin-top: 0vh;
    margin-left: 2vw;
}
.pareja-miembros {
    display: flex;
    margin-bottom: -12vh;
}
  
.miembro {
    text-align: center;
    padding-left: 6vw;
    padding-top: 13vh;
}
  
.miembro img {
    width: 12vw;
    height: 18vh;
    max-height: 20vh;
    margin-bottom: -5vh;
    object-fit: contain;
}
.miembro h3 {
    font-size: 18px;
    margin-bottom: 5px;
    font-family: 'MontserratBold';
    padding-top: 5vh;
}
  
.miembro p {
    font-size: 14px;
    font-family: 'Montserrat';
}
.separadorp{
  background: linear-gradient(to bottom right, #27256A, #2d8f96); 
  padding: 50px 0; 
  text-align: center; 
  max-width: 100%;
  height: 35vh;
}
.separadorp h2 {
    color: white; 
    font-size: 24px; 
    font-weight: lighter;
    font-family: 'Montserrat';
}
.separadorp h2 .highlight {
    font-family: 'MontserratBold';
}
.planeta1{
    position: absolute;
    max-width: 7%;
    max-height: 12%;
    margin-left: -39vw;
    margin-top: -5vh;
}
.planeta2{
    position: absolute;
    max-width: 7%;
    max-height: 12%;
    margin-left: 28vw;
    margin-top: 22vh;
}
.planeta3{
    position: absolute;
    max-width: 7%;
    max-height: 12%;
    margin-left: 39vw;
    margin-top: 10vh;
}
.margenTxt{
    margin: 16vw;
    margin-top: 4vh;
}
.margenTxtP{
    margin: 14vw;
    margin-top: -18vh;
}
.separadorfootermovil {
    display: none; 
}
.separadorfooterpc{
    padding-top: 3vh;
    max-width: 100%;
}
.gridProyecto {
    margin-top: 21vh;
}
.carrusel {
    position: relative;
    max-width: 42vw;
    overflow: hidden;
}
  
.carrusel-contenido {
    display: flex;
    transition: transform 0.5s ease;
}
  
.carrusel-contenido img {
    width: 100%;
    height: 100%;
}
  
.boton-anterior,
.boton-siguiente {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0);
    color: black;
    border: none;
    padding: 10px;
    cursor: pointer;
}
  
.boton-anterior {
    left: 10px;
}
  
.boton-siguiente {
    right: 10px;
}
@media screen and (max-width: 950px) {
    .messageContainer{
        font-family: 'Montserrat'; 
        font-size: 37px;  
        margin-bottom: 20px; 
        text-align: center;
        margin-top: -13vh;
        margin-left: 1vw;
        z-index: 3;
        white-space: normal;
    }
    .imgFondo{
        display: none;
        
    }
    .imgFondoMovil{
        display: block;
        z-index: -1;
        position: absolute;
        width: 98.7vw;
        height: 89vh;
    }
    .primero {
        order: 2;
        margin-left: 20vw;
    }
    .segundo {
        order: 1;
    }
    .column {
        flex-basis: 100%;
    }
    .colum2 {
        margin-top: -7vh;
    }
    .column2 {
        margin-top: -7vh;
    }
    .CornerTopImage{
        display: none;
    }
    .column2 {
        margin-top: -22vh;
    }
    .CornerBottomImage{
        bottom: -20vh;
        border-radius: 13%;
        z-index: 2;
    }
    .containermsjMovil
    {
        top: 96vh;
        right: 0vw;
        position: absolute;
        width: 100%;
    }
    .titulo1 {
        font-family: 'MontserratBold'; 
        font-size: 33px; 
        padding-top: 1vh;
        text-align: left;
    }
    .titulo1 span {
        font-weight: bold;
    }
    .textoBase {
        font-family: 'Montserrat';
        font-size: 18px;
        margin: -3%;
        margin-top: 2%;
        max-width: 52vw;
        max-height: 7vh;
        margin-left: 23vw;
    }
    .btnMarcas{
        text-align: center;
        padding-left: 0vw;
    }
    .textoEquipo {
        margin-top: 5vh; 
    }
    .iframeComerciales {
        display: none;
    }
    .iframeComercialesMovil
    {
        display: block;
        width: 60vw;
        height: 50vh;
        border: none;
        margin-top: 2vh;
        margin-left: 16vw;
    }
    .gridContainer {
        display: grid;
        grid-template-columns: 0% auto;
        padding: 10px;
        margin-top: 3vh;
    } 
    .gridItem {
        padding: 20px;
        font-size: 30px;
        text-align: center;
    }
    .gridItem img {
        display: none;
    }
    .boton-descarga {
        margin-top: 21vh;
    }
    .gridEquipo {
        margin-top: 21vh;
    }
    .gridProyecto {
        margin-top: 21vh;
    }
    .separadorfootermovil {
        display: block;
        margin-top: 42vh;
        max-width: 100%;
    }
    .separadorfooterpc {
        display: none;
    }
    .separadormovil {
        display: block;
        max-width: 100%;
        height: auto;
        margin-top: 78vh;
    }
    .separadorpc{
        display: none;
    }
    .separadorp{
        background: linear-gradient(to bottom right, #27256A, #2d8f96); 
        text-align: center; 
        height: 35vh;
        margin-top: 54vh;
    }
    .planeta1{
        max-width: 9%;
        max-height: 12%;
    }
    .planeta2{
        max-width: 9%;
        max-height: 12%;
    }
    .planeta3{
        max-width: 9%;
        max-height: 12%;
    }
    .titulo1 {
        text-align: center;
    }
    .tituloequipo {
        font-size: 29px; 
        text-align: center;
    }
    .margenTxtP{
        margin: 14vw;
        margin-top: -7vh;
    }
    .miembros {
        flex-direction: column;
    }
    .miembro img {
        width: auto; 
        height: auto;
        max-width: 100%;
        max-height: 100%; 
        object-fit: cover;
    }
    .miembro {
        text-align: center;
        padding-top: 12vh;
    }
    .containerProyectos {
        flex-direction: column;
        align-items: stretch;
    }
    .boton-anterior,
    .boton-siguiente {
        font-size: 12px; 
    }
    .carrusel {
        max-width: 96vw;
        margin-top: -8vw;
    }
    .carrusel-contenido img {
        width: 100vw;
        height: auto;
    }
    .btnProyectos{
        text-align: center;
        margin-top: -12vh;
    }
}
@media screen and (min-width: 230px) and (max-width: 480px) {
    .messageContainer{
        font-family: 'Montserrat'; 
        font-size: 25px;  
        margin-bottom: 20px; 
        text-align: center;
        margin-top: -13vh;
        margin-left: 1vw;
        z-index: 3;
        white-space: normal;
    }
    .column {
        flex-basis: 100%;
    }
    .colum2 {
        margin-top: -7vh;
    }
    .column2 {
        margin-top: -7vh;
    }
    .CornerTopImage{
        display: none;
    }
    .column2 {
        margin-top: -22vh;
    }
    .CornerBottomImage{
        bottom: -20vh;
        border-radius: 13%;
        z-index: 2;
    }
    .titulo1 {
        font-family: 'MontserratBold'; 
        font-size: 29px; 
        padding-top: 1vh;
    }
    .titulo1 span {
        font-weight: bold;
    }
    .textoBase {
        font-family: 'Montserrat';
        font-size: 17px;
        margin: -12%;
        margin-top: 2%;
        max-width: 63vw;
        max-height: 4vh;
        margin-left: 10vw;
    }
    .textoEquipo {
        margin-top: 5vh; 
    }
    .iframeComerciales {
        display: none;
    }
    .iframeComercialesMovil
    {
        display: block;
        width: 78vw;
        height: 50vh;
        border: none;
        margin-top: 5vh;
        margin-left: 6vw;
    }
    .gridContainer {
        display: grid;
        grid-template-columns: 0% auto;
        padding: 10px;
        margin-top: 3vh;
    } 
    .gridItem {
        padding: 20px;
        font-size: 30px;
        text-align: center;
    }
    .gridItem img {
        display: none;
    }
    .boton-descarga {
        margin-top: 27vh;
    }
    .gridEquipo {
        margin-top: 21vh;
    }
    .gridProyecto {
        margin-top: 21vh;
    }
    .separadorfootermovil {
        display: block;
        margin-top: 23vh;
        max-width: 100%;
    }
    .separadorfooterpc {
        display: none;
    }
    .tituloequipo {
        font-size: 29px; 
    }
    .miembros {
        flex-direction: column;
    }
    .primero {
        margin-left: 3vw;
    }
    .miembro img {
        width: auto; 
        height: auto;
        max-width: 100%;
        max-height: 100%; 
        object-fit: cover;
    }
    .miembro {
        text-align: center;
        padding-top: 12vh;
    }
    .margenTxtP{
        margin: 14vw;
        margin-top: -4vh;
    }
    .separadormovil {
        margin-top: 24vh;
    }
    .separadorp h2 {
        font-size: 19px; 
    }
    .separadorp {
        margin-top: 40vh;
    }
    .planeta1{
        max-width: 17%;
        max-height: 12%;
    }
    .planeta2{
        max-width: 17%;
        max-height: 12%;
    }
    .planeta3{
        display: none;
    }
    .carrusel {
        max-width: 89vw;
        margin-top: -8vw;
    }
}